Subject: [quicwg/base-drafts] Explain and discourage HTTP/2 error code overlap (#4251)

From: Martin Thomson <[email-masked]>
Date: Mon, 19 Oct 2020 14:48:29 -0700

This provides guidance to experts about avoiding overlap of error codes
with HTTP/2 and explains why the codes in the document are where they
are.

Closes #4231.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/4251

-- Commit Summary --

  * Explain and discourage HTTP/2 error code overlap

-- File Changes --

    M draft-ietf-quic-http.md (13)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/4251.patch
https://github.com/quicwg/base-drafts/pull/4251.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 19 Oct 2020 17:16:00 -0700

@janaiyengar approved this pull request.

minor things, but LGTM.

> @@ -2126,7 +2127,9 @@ Name:
 Description:
 : A brief description of the error code semantics.
 
-The entries in {{iana-error-table}} are registered by this document.
+The entries in {{iana-error-table}} are registered by this document. These
+Error codes were selected from the range that operates on a Specification

```suggestion
error codes were selected from the range that operates on a Specification
```

> @@ -2126,7 +2127,9 @@ Name:
 Description:
 : A brief description of the error code semantics.
 
-The entries in {{iana-error-table}} are registered by this document.
+The entries in {{iana-error-table}} are registered by this document. These
+Error codes were selected from the range that operates on a Specification
+Required policy to avoid collisions with HTTP/2 error codes.

```suggestion
Required policy (Section 4.6 of {{!RFC8126}}) to avoid collisions
with HTTP/2 error codes.
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251#pullrequestreview-512244352

---

From: Martin Thomson <[email-masked]>
Date: Mon, 19 Oct 2020 17:42:59 -0700

@martinthomson commented on this pull request.

 Description:

I think we can pass on that, as the definition is cited a few paragraphs up.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251#discussion_r508141772

---

From: Martin Thomson <[email-masked]>
Date: Mon, 19 Oct 2020 17:43:08 -0700

@martinthomson pushed 1 commit.

7335956060634ce9a28f5e0a337da4f796802336  ~E

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251/files/673c5913f7e8361f6fcd5d910548db91d0bea5c3..7335956060634ce9a28f5e0a337da4f796802336

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 20 Oct 2020 00:13:37 -0700

@gloinul approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251#pullrequestreview-512394033

---

From: Mike Bishop <[email-masked]>
Date: Tue, 20 Oct 2020 07:26:53 -0700

Merged #4251 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4251#event-3899048863